Name:          python-ply
Version:       3.4
Release:       2mamba
Summary:       Python Lex & Yacc
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.dabeaz.com/ply/
Source:        http://www.dabeaz.com/ply/ply-%{version}.tar.gz
License:       BSD, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
%py_requires
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
PLY is a straightforward lex/yacc implementation. Here is a list of its essential features:
* It is implemented entirely in Python.
* It uses LR-parsing which is reasonably efficient and well suited for larger grammars.
* PLY provides most of the standard lex/yacc features including support for empty productions, precedence rules, error recovery, and support for ambiguous grammars.
* PLY is straightforward to use and provides very extensive error checking.
* PLY doesn't try to do anything more or less than provide the basic lex/yacc functionality. In other words, it's not a large parsing framework or a component of some larger system..

%prep
%setup -q -n ply-%{version}

sed -i 's|/usr/local/bin/python|%{__python}|g' $(find . -name "*.py")
chmod -x example/yply/yply.py example/newclasscalc/calc.py example/classcalc/calc.py example/cleanup.sh

%build
%{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{python_sitearch}/ply-%{version}-py%{python_version}.egg-info
%{python_sitearch}/ply-%{version}-py%{python_version}.egg-info/PKG-INFO
%{python_sitearch}/ply-%{version}-py%{python_version}.egg-info/*.txt
%dir %{python_sitearch}/ply
%{python_sitearch}/ply/*.py
%{python_sitearch}/ply/*.pyc
#%doc ANNOUNCE CHANGES README TODO example

%changelog
* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4-2mamba
- python 2.7 mass rebuild

* Sat Feb 23 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4-1mamba
- update to 3.4

* Mon Jul 20 2009 gil <puntogil@libero.it> 3.2-1mamba
- package created by autospec
